summaryrefslogtreecommitdiff
path: root/~fauno
diff options
context:
space:
mode:
authorNicolás Reynolds <apoyosis@correo.inta.gob.ar>2012-08-17 21:56:32 -0300
committerNicolás Reynolds <apoyosis@correo.inta.gob.ar>2012-08-17 21:56:32 -0300
commit7aa631cb211cb14f96ec842b62eced0a1a14a372 (patch)
tree2e030cda9a8d034a12570b5a8b83a6534842872b /~fauno
parent2199949664f9cf9f105dab027ea37e7897c4b5b0 (diff)
sphinx-2.0.5-2
Diffstat (limited to '~fauno')
-rw-r--r--~fauno/sphinx/PKGBUILD42
-rw-r--r--~fauno/sphinx/sphinx.conf.d5
-rw-r--r--~fauno/sphinx/sphinx.rc.d44
3 files changed, 91 insertions, 0 deletions
diff --git a/~fauno/sphinx/PKGBUILD b/~fauno/sphinx/PKGBUILD
new file mode 100644
index 000000000..fa5a7935e
--- /dev/null
+++ b/~fauno/sphinx/PKGBUILD
@@ -0,0 +1,42 @@
+# Maintainer: dryes <joswiseman@gmail>
+# Contributor: Dan Serban
+# Contributor: Vishnevsky Roman <aka dot x0x01 at gmail dot com>
+# Contributor: Massimiliano Torromeo <massimiliano.torromeo@gmail.com>
+pkgname='sphinx'
+pkgver=2.0.5
+pkgrel=2
+pkgdesc='Free open-source SQL full-text search engine.'
+arch=('i686' 'x86_64')
+url='http://www.sphinxsearch.com/'
+license=('GPL')
+depends=('unixodbc' 'expat' 'libmysqlclient' 'postgresql-libs')
+optdepends=('postgresql')
+backup=('etc/conf.d/sphinx')
+source=("http://sphinxsearch.com/files/${pkgname}-${pkgver}-release.tar.gz" 'sphinx.conf.d' 'sphinx.rc.d')
+
+build() {
+ sed -i '15199,15199 s/x00/x21/' "${srcdir}/${pkgname}-${pkgver}-release/src/searchd.cpp"
+
+ cd "${srcdir}/${pkgname}-${pkgver}-release"
+ ./configure --prefix=/usr --exec-prefix=/usr --localstatedir=/var/lib/sphinx \
+ --sysconfdir=/etc/sphinx --with-pgsql --enable-id64
+
+ make
+}
+
+package() {
+ cd "${srcdir}/${pkgname}-${pkgver}-release"
+
+ make DESTDIR="${pkgdir}" install
+
+ for _f in "${pkgdir}/usr/bin/"*; do
+ ln -s "/usr/bin/${_f##*/}" "${pkgdir}/usr/bin/sphinx-${_f##*/}"
+ done
+
+ install -Dm755 "${srcdir}/sphinx.rc.d" "${pkgdir}/etc/rc.d/sphinx"
+ install -Dm644 "${srcdir}/sphinx.conf.d" "${pkgdir}/etc/conf.d/sphinx"
+}
+
+md5sums=('e71fdb5b0c2911247d48fb30550b9584'
+ '48e3e1857919d26d5104a48caffb531b'
+ 'd886222593c6bba891fd3ce982c90c00')
diff --git a/~fauno/sphinx/sphinx.conf.d b/~fauno/sphinx/sphinx.conf.d
new file mode 100644
index 000000000..c809e56fa
--- /dev/null
+++ b/~fauno/sphinx/sphinx.conf.d
@@ -0,0 +1,5 @@
+#
+# Arguments to be passed to the sphinx daemon
+#
+
+SPHINX_ARGS=""
diff --git a/~fauno/sphinx/sphinx.rc.d b/~fauno/sphinx/sphinx.rc.d
new file mode 100644
index 000000000..64c8f01e7
--- /dev/null
+++ b/~fauno/sphinx/sphinx.rc.d
@@ -0,0 +1,44 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+. /etc/conf.d/sphinx
+
+PID=$(pidof -o %PPID /usr/bin/sphinx-searchd)
+case $1 in
+start)
+ stat_busy "Starting Sphinx Daemon"
+
+ if [[ -z $PID ]] && /usr/bin/sphinx-searchd $SPHINX_ARGS; then
+
+ PID=$(pidof -o %PPID /usr/bin/sphinx-searchd)
+ echo "$PID" > /var/run/sphinx-searchd.pid
+ add_daemon sphinx
+ stat_done
+ else
+ stat_fail
+ exit 1
+ fi
+ ;;
+
+stop)
+ stat_busy "Stopping Sphinx Daemon"
+ if [[ ! -z $PID ]] && kill "$PID" &>/dev/null; then
+ rm_daemon sphinx
+ stat_done
+ else
+ stat_fail
+ exit 1
+ fi
+ ;;
+
+restart)
+ $0 stop
+ $0 start
+ ;;
+
+*)
+ echo "Usage: $0 {start|stop|restart}" >&2
+ exit 1
+
+esac